.vfcup-modal-container {
    position: fixed;
    inset: 0;
    background-color: rgba(0, 0, 0, 0.6);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
    visibility: hidden;
    opacity: 0;
    transition: opacity 0.3s ease;
}

.vfcup-modal-container.active {
    visibility: visible;
    opacity: 1;
}

.vfcup-modal-wrapper {
    position: relative;
}

.vfcup-modal {
    position: relative;
    width: 800px;
    max-width: 90vw;
}

.vfcup-modal-close {
    background: none;
    border: none;
    font-size: 32px;
    color: white;
    cursor: pointer;
    position: absolute;
    top: 0px;
    right: 10px;
    z-index: 10;
    text-shadow: 0 2px 4px rgba(0, 0, 0, 0.5);
}

.vfcup-modal-banner {
    width: 100%;
    aspect-ratio: 3 / 2;
    background-image: url('/images/widgets/popups/vfcup/main-info.png');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    border-radius: 12px;
    box-shadow: 0 8px 32px rgba(0, 0, 0, 0.4);
}

.vfcup-register-btn {
    position: absolute;
    bottom: 6%;
    left: 50%;
    transform: translateX(-50%);
    display: inline-block;
    transition: transform 0.1s ease;
}

.vfcup-register-btn img {
    height: 80px;
    display: block;
}

.vfcup-register-btn:hover {
    transform: translateX(-50%) scale(1.03);
}

@media (max-width: 768px) {
    .vfcup-modal {
        width: 360px;
    }

    .vfcup-modal-banner {
        aspect-ratio: 1 / 1.5;
        background-image: url('/images/widgets/popups/vfcup/main-info-mobile.png');
    }

    .vfcup-register-btn img {
        height: 55px;
    }

    .vfcup-register-btn{
        bottom: 12%;
    }
}
